org.apache.flume.serialization

## Interface EventDeserializer.Builder

- All Known Implementing Classes:
    AvroEventDeserializer.Builder, BlobDeserializer.Builder, LineDeserializer.Builder
  Enclosing interface:
    EventDeserializer

      public static interface EventDeserializer.Builder

  Knows how to construct this deserializer.
  Note: Implementations MUST provide a public a no-arg constructor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventDeserializer` | `build(Context context, ResettableInputStream in)`

- - ### Method Detail

    - #### build

          EventDeserializer build(Context context,
                                ResettableInputStream in)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.